﻿Type=Class
Version=3.82
B4A=true
@EndOfDesignText@
' Events declaration

' Class module

Sub Class_Globals
  Private mTarget As Object
  Private mEventName As String
  
  Private pnlLbl As Panel
  Private lstTxt As List ' text list contents
  Private lblTxt As Label
  Private nRows As Int
End Sub

' ComboBox consists of edittext, drop button

Public Sub Initialize (TargetModule As Object, EventName As String)
  mTarget = TargetModule
  mEventName = EventName
  
  lstTxt.Initialize
End Sub

Public Sub DesignerCreateView(Base As Panel, lbl As Label, Props As Map)
  Dim i As Int
  Dim r As Reflector
  Dim su As StringUtils

  pnlLbl = Base
  
  lblTxt.Initialize("")
  pnlLbl.AddView(lblTxt, 0, 0, pnlLbl.Width, pnlLbl.Height)
  
  lblTxt.Gravity = Bit.OR(Gravity.TOP, Gravity.LEFT)
  lblTxt.TextColor = Colors.Black

  r.Target = lblTxt
  r.RunMethod2("setSingleLine", False, "java.lang.boolean")
  
  i = su.MeasureMultilineTextHeight(lblTxt, "AAA")
  
  nRows = Floor(lblTxt.Height / i)
  
  pnlLbl.BringToFront
End Sub

Public Sub AddLine(s As String)
  lstTxt.Add(s)
  Refresh
End Sub

Public Sub AddList(lst As List)
  lstTxt.AddAll(lst)
End Sub

Public Sub Clear
  lstTxt.Clear
  Refresh
End Sub

Public Sub Write(dir As String, name As String)
  File.WriteList(dir, name, lstTxt)
End Sub

Public Sub Refresh
  Dim i As Int = 0
  Dim sb As StringBuilder
  
  lblTxt.Text = ""
  
  If (lstTxt.Size < 1) Then Return
  
  If (lstTxt.Size > nRows) Then i = lstTxt.Size - nRows
  
  sb.Initialize
  
  For k=i To lstTxt.Size-1
    If (k <> i) Then sb.Append(CRLF)
	
	sb.Append(lstTxt.Get(k))
  Next
  
  lblTxt.Text = sb.ToString
End Sub


